<?php
// shortcode param check
$hide_date = isset( $hide_date ) && ! empty( $hide_date ) ? $hide_date : 'no';

$date_link = empty( get_the_title() ) && ! is_single() ? get_the_permalink() : get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) );
$classes   = '';
if ( is_single() || is_page() || is_archive() ) { // This check is to prevent classes for Gutenberg block
	$classes = 'qodef-e-info-date published updated';
}
?>
<?php
if ( ! empty( $hide_date ) && 'yes' !== $hide_date ) {
	?>
	<a itemprop="dateCreated" href="<?php echo esc_url( $date_link ); ?>" <?php if (!empty($classes)) {?> class=" <?php echo esc_attr( $classes ); } ?>">
		<?php the_time( get_option( 'date_format' ) ); ?>
	</a><div class="qodef-info-separator-end"></div>
	<?php
}
?>
